## GtkPageSetupUnixDialog

GtkPageSetupUnixDialog — A page setup dialog

## Functions

GtkWidget * | gtk_page_setup_unix_dialog_new ()
void | gtk_page_setup_unix_dialog_set_page_setup ()
GtkPageSetup * | gtk_page_setup_unix_dialog_get_page_setup ()
void | gtk_page_setup_unix_dialog_set_print_settings ()
GtkPrintSettings * | gtk_page_setup_unix_dialog_get_print_settings ()

## Types and Values

struct | GtkPageSetupUnixDialog
struct | GtkPageSetupUnixDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GtkPageSetupUnixDialog

## Implemented Interfaces

GtkPageSetupUnixDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtkpagesetupunixdialog.h>

## Description

GtkPageSetupUnixDialog implements a page setup dialog for platforms which don’t provide a native page setup dialog, like Unix. It can be used very much like any other GTK+ dialog, at the cost of the portability offered by the high-level printing API

Printing support was added in GTK+ 2.10.

## Functions

### gtk_page_setup_unix_dialog_new ()

    GtkWidget *
    gtk_page_setup_unix_dialog_new (const gchar *title,
                                    GtkWindow *parent);

Creates a new page setup dialog.

#### Parameters

title | the title of the dialog, or `NULL`. | [allow-none]
parent | transient parent of the dialog, or `NULL`. | [allow-none]

#### Returns

the new GtkPageSetupUnixDialog

Since: 2.10

### gtk_page_setup_unix_dialog_set_page_setup ()

    void
    gtk_page_setup_unix_dialog_set_page_setup
                                   (GtkPageSetupUnixDialog *dialog,
                                    GtkPageSetup *page_setup);

Sets the GtkPageSetup from which the page setup dialog takes its values.

#### Parameters

dialog | a GtkPageSetupUnixDialog |
page_setup | a GtkPageSetup |

Since: 2.10

### gtk_page_setup_unix_dialog_get_page_setup ()

    GtkPageSetup *
    gtk_page_setup_unix_dialog_get_page_setup
                                   (GtkPageSetupUnixDialog *dialog);

Gets the currently selected page setup from the dialog.

#### Parameters

dialog | a GtkPageSetupUnixDialog |

#### Returns

the current page setup.

[transfer none]

Since: 2.10

### gtk_page_setup_unix_dialog_set_print_settings ()

    void
    gtk_page_setup_unix_dialog_set_print_settings
                                   (GtkPageSetupUnixDialog *dialog,
                                    GtkPrintSettings *print_settings);

Sets the GtkPrintSettings from which the page setup dialog takes its values.

#### Parameters

dialog | a GtkPageSetupUnixDialog |
print_settings | a GtkPrintSettings |

Since: 2.10

### gtk_page_setup_unix_dialog_get_print_settings ()

    GtkPrintSettings *
    gtk_page_setup_unix_dialog_get_print_settings
                                   (GtkPageSetupUnixDialog *dialog);

Gets the current print settings from the dialog.

#### Parameters

dialog | a GtkPageSetupUnixDialog |

#### Returns

the current print settings.

[transfer none]

Since: 2.10

## Types and Values

### struct GtkPageSetupUnixDialog

    struct GtkPageSetupUnixDialog;

### struct GtkPageSetupUnixDialogClass

    struct GtkPageSetupUnixDialogClass {
      GtkDialogClass parent_class;
    };

#### Members